=== debian/changelog ===
ros-rolling-picknik-reset-fault-controller (0.0.3-1jammy) jammy; urgency=high



 -- Alex Moriarty <alex.moriarty@picknik.ai>  Mon, 24 Jul 2023 03:00:00 -0000

ros-rolling-picknik-reset-fault-controller (0.0.2-1jammy) jammy; urgency=high



 -- Alex Moriarty <alex.moriarty@picknik.ai>  Fri, 14 Jul 2023 03:00:00 -0000

ros-rolling-picknik-reset-fault-controller (0.0.1-1jammy) jammy; urgency=high

  * Initial Release of picknik_reset_fault_controller
    * Originally this was used internally and there was an attempt to release it to ros2_controllers
    * After discussion with the ros2 controllers WG over slack we have decided to open source it here first
    * The goal is to still move this upstream but it can be worked on here first and moved in the future
  * fault_controller -> picknik_reset_fault_controller (#2 <https://github.com/PickNikRobotics/picknik_controllers/issues/2>)
    * fault_controller -> picknik_reset_fault_controller
    This commit does two things:
    1) renames fault_controller to reset_fault_controller
    2) prefixes with picknik_
    The first change, is to be more specific what this controller is used
    for.
    The second change is because we want to move this controller into
    ros2_controllers and when that is complete we can drop the picknik_ and
    depricate this version allowing for a transition period.
    ---------
  * Contributors: Alexander Moriarty @moriarty, Anthony Baker @abake48, @livanov93, @destogl, @MarqRazz, @Abishalini, @JafarAbdi

 -- Alex Moriarty <alex.moriarty@picknik.ai>  Tue, 11 Jul 2023 03:00:00 -0000
