=== debian/control ===
Source: ros-rolling-picknik-reset-fault-controller
Section: misc
Priority: optional
Maintainer: Alex Moriarty <alex.moriarty@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-controller-interface, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-picknik-reset-fault-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-interface, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Description: ROS 2 controller that offers a service to clear faults in a hardware interface
